Bug 1388771 (CVE-2016-8863) - CVE-2016-8863 libupnp: Heap buffer overflow in the create_url_list function
Summary: CVE-2016-8863 libupnp: Heap buffer overflow in the create_url_list function
Status: NEW
Alias: CVE-2016-8863
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20160907,repo...
Keywords: Security
Depends On: 1388773 1388774
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-26 07:36 UTC by Andrej Nemec
Modified: 2018-04-30 22:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrej Nemec 2016-10-26 07:36:03 UTC
A heap buffer overflow vulnerability was found in libupnp. This vulnerability might allow for a wide range of impacts, from denial of service to remote code execution.

Upstream bug:

https://sourceforge.net/p/pupnp/bugs/133/

CVE assignment:

http://seclists.org/oss-sec/2016/q4/200

Comment 1 Andrej Nemec 2016-10-26 07:36:44 UTC
Created libupnp tracking bugs for this issue:

Affects: fedora-all [bug 1388773]
Affects: epel-7 [bug 1388774]

Comment 2 Dario Castellarin 2017-01-20 01:13:28 UTC
libupnp 1.6.21 is out, which fixes this issue among others: http://pupnp.sourceforge.net/ChangeLog

Comment 3 Dario Castellarin 2017-01-24 19:41:22 UTC
Ping?


Note You need to log in before you can comment on or make changes to this bug.